#!/bin/sh
# pinstall.sh pour l'archive pet icewm-menu-musher0-0.4
####
cd /root/.icewm
# [ -f prefoverride ] && mv prefoverride prefoverride.orig
# mv /root/my-documents/prefoverride .
# Please read file Note.txt in ~/.icewm.

[ -f /etc/xdg/templates/_root_.icewm_menu ] && mv -f /etc/xdg/templates/_root_.icewm_menu /root/my-documents/
#
# The reason for this move is that BarryK's old menu templates for
# icewm cancel out the menu system I am providing for it.
#

if [ -f /usr/sbin/fixmenus.orig ];then
	if [ "`grep 'icewm-menu.sh' /usr/sbin/fixmenus`" ];then
	# if you have installed icewm-menu-generator, version 0.1
		replaceit --input=/usr/sbin/fixmenus icewm-menu.sh icewm-menu4.sh
	elif [ "`grep 'icewm-menu2.sh' /usr/sbin/fixmenus`" ];then # or version 0.2
		replaceit --input=/usr/sbin/fixmenus icewm-menu2.sh icewm-menu4.sh
	elif [ "`grep 'icewm-menu3.sh' /usr/sbin/fixmenus`" ];then # or version 0.2
		replaceit --input=/usr/sbin/fixmenus icewm-menu2.sh icewm-menu4.sh
	fi
else
	# if v. 0.4 is the first install
		cp /usr/sbin/fixmenus /usr/sbin/fixmenus.orig
		cat /root/my-documents/menu-line >> /usr/sbin/fixmenus
	# If you prefer to do the above by hand, that's fine.
	# In any case, double-check that you have a back-up of
	# /usr/sbin/fixmenus as /usr/sbin/fixmenus.orig and that
	# the line of the active /usr/sbin/fixmenus immediately
	# before the "END" line is:
	#
	# < "`cat /etc/windowmanager`" = "icewm" ] && /root/.icewm/icewm-menu4.sh >
	#
	# (without the chevrons)
	#
	# Sorry for asking you to check/edit this, but there are variants of
	# script < fixmenus > in various Pups, and this is the safest way to go.
	#
	# musher0
fi
sleep 0.2s
fixmenus
